Auth API reference

Auth API · Consumer-Agent-Access

post/{app_slug}/v1/agent-access/authorizations/{handle}/denyAuth

Deny an agent authorization

The user pressed Cancel. Send the browser to `redirect_to` (`error=access_denied`).

Path parameters

app_slug*string

The app slug.

handle*string

The `request` handle.

Response · 200 Denied.

redirect_to*string · uri

Send the browser here: the client's redirect URI with `code` (or `error`), `state` and `iss`.

grant_idstring

The new connection (approve only).

Example: "agr_9xY…"

Example

Request

POST https://api.auth.productcraft.co/{app_slug}/v1/agent-access/authorizations/{handle}/deny
Authorization: Bearer YOUR_TOKEN

Response

{
  "redirect_to": "string",
  "grant_id": "agr_9xY…"
}